Retrieve Resolution
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/resolutions/{resolution_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/resolutions/{resolution_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/resolutions/{resolution_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"status_url": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"sources": [
{
"document_id": "<string>",
"position": 123,
"object": "message_source",
"page_id": "<string>",
"title": "<string>"
}
],
"error": "<string>"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"status_url": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"sources": [
{
"document_id": "<string>",
"position": 123,
"object": "message_source",
"page_id": "<string>",
"title": "<string>"
}
],
"error": "<string>"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"status_url": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"sources": [
{
"document_id": "<string>",
"position": 123,
"object": "message_source",
"page_id": "<string>",
"title": "<string>"
}
],
"error": "<string>"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"status_url": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"sources": [
{
"document_id": "<string>",
"position": 123,
"object": "message_source",
"page_id": "<string>",
"title": "<string>"
}
],
"error": "<string>"
}Resolutions
Retrieve Resolution
Get the status and final answer of a resolution created by this caller.
GET
/
api
/
v1
/
resolutions
/
{resolution_id}
Retrieve Resolution
curl --request GET \
--url https://{tenant_id}.api.useago.com/api/v1/resolutions/{resolution_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{tenant_id}.api.useago.com/api/v1/resolutions/{resolution_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{tenant_id}.api.useago.com/api/v1/resolutions/{resolution_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"status_url": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"sources": [
{
"document_id": "<string>",
"position": 123,
"object": "message_source",
"page_id": "<string>",
"title": "<string>"
}
],
"error": "<string>"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"status_url": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"sources": [
{
"document_id": "<string>",
"position": 123,
"object": "message_source",
"page_id": "<string>",
"title": "<string>"
}
],
"error": "<string>"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"status_url": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"sources": [
{
"document_id": "<string>",
"position": 123,
"object": "message_source",
"page_id": "<string>",
"title": "<string>"
}
],
"error": "<string>"
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "queued",
"status_url": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"sources": [
{
"document_id": "<string>",
"position": 123,
"object": "message_source",
"page_id": "<string>",
"title": "<string>"
}
],
"error": "<string>"
}Authorizations
Path Parameters
Response
OK
Available options:
queued, running, completed, requires_action, canceled, failed Show child attributes
Show child attributes
